import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { DatabaseMigrationServiceConfiguration, DatabaseMigrationServiceResolvedConfiguration } from "./DatabaseMigrationServiceConfiguration";
import { InputTypesUnion } from "./types/InputTypesUnion";
import { OutputTypesUnion } from "./types/OutputTypesUnion";
export declare class DatabaseMigrationServiceClient implements __aws_sdk_types.AWSClient<InputTypesUnion, OutputTypesUnion, Blob> {
    readonly config: DatabaseMigrationServiceResolvedConfiguration;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>;
    constructor(configuration: DatabaseMigrationServiceConfiguration);
    destroy(): void;
    /**
     * This will need to be revised when the command interface lands.
     */
    send<InputType extends InputTypesUnion, OutputType extends OutputTypesUnion>(command: __aws_sdk_types.Command<InputTypesUnion, InputType, OutputTypesUnion, OutputType, DatabaseMigrationServiceResolvedConfiguration, Blob>): Promise<OutputType>;
    send<InputType extends InputTypesUnion, OutputType extends OutputTypesUnion>(command: __aws_sdk_types.Command<InputTypesUnion, InputType, OutputTypesUnion, OutputType, DatabaseMigrationServiceResolvedConfiguration, Blob>, cb: (err: any, data?: OutputType) => void): void;
}
