"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateReplicationInstance_1 = require("../model/operations/CreateReplicationInstance");
var CreateReplicationInstanceCommand = /** @class */ (function () {
    function CreateReplicationInstanceCommand(input) {
        this.input = input;
        this.model = CreateReplicationInstance_1.CreateReplicationInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateReplicationInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateReplicationInstanceCommand;
}());
exports.CreateReplicationInstanceCommand = CreateReplicationInstanceCommand;
//# sourceMappingURL=CreateReplicationInstanceCommand.js.map