"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeOrderableReplicationInstances_1 = require("../model/operations/DescribeOrderableReplicationInstances");
var DescribeOrderableReplicationInstancesCommand = /** @class */ (function () {
    function DescribeOrderableReplicationInstancesCommand(input) {
        this.input = input;
        this.model = DescribeOrderableReplicationInstances_1.DescribeOrderableReplicationInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeOrderableReplicationInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeOrderableReplicationInstancesCommand;
}());
exports.DescribeOrderableReplicationInstancesCommand = DescribeOrderableReplicationInstancesCommand;
//# sourceMappingURL=DescribeOrderableReplicationInstancesCommand.js.map