"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyEndpointInput_1 = require("../shapes/ModifyEndpointInput");
var ModifyEndpointOutput_1 = require("../shapes/ModifyEndpointOutput");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var ResourceAlreadyExistsFault_1 = require("../shapes/ResourceAlreadyExistsFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var AccessDeniedFault_1 = require("../shapes/AccessDeniedFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyEndpointInput_1.ModifyEndpointInput
    },
    output: {
        shape: ModifyEndpointOutput_1.ModifyEndpointOutput
    },
    errors: [
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: ResourceAlreadyExistsFault_1.ResourceAlreadyExistsFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: AccessDeniedFault_1.AccessDeniedFault
        }
    ]
};
//# sourceMappingURL=ModifyEndpoint.js.map