"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyReplicationInstanceInput_1 = require("../shapes/ModifyReplicationInstanceInput");
var ModifyReplicationInstanceOutput_1 = require("../shapes/ModifyReplicationInstanceOutput");
var AccessDeniedFault_1 = require("../shapes/AccessDeniedFault");
var InvalidResourceStateFault_1 = require("../shapes/InvalidResourceStateFault");
var ResourceAlreadyExistsFault_1 = require("../shapes/ResourceAlreadyExistsFault");
var ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
var InsufficientResourceCapacityFault_1 = require("../shapes/InsufficientResourceCapacityFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var UpgradeDependencyFailureFault_1 = require("../shapes/UpgradeDependencyFailureFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyReplicationInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyReplicationInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyReplicationInstanceInput_1.ModifyReplicationInstanceInput
    },
    output: {
        shape: ModifyReplicationInstanceOutput_1.ModifyReplicationInstanceOutput
    },
    errors: [
        {
            shape: AccessDeniedFault_1.AccessDeniedFault
        },
        {
            shape: InvalidResourceStateFault_1.InvalidResourceStateFault
        },
        {
            shape: ResourceAlreadyExistsFault_1.ResourceAlreadyExistsFault
        },
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        },
        {
            shape: InsufficientResourceCapacityFault_1.InsufficientResourceCapacityFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: UpgradeDependencyFailureFault_1.UpgradeDependencyFailureFault
        }
    ]
};
//# sourceMappingURL=ModifyReplicationInstance.js.map