"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DatabaseMigrationServiceClient_1 = require("../../DatabaseMigrationServiceClient");
var DescribeEndpointsCommand_1 = require("../../commands/DescribeEndpointsCommand");
var DescribeTableStatisticsCommand_1 = require("../../commands/DescribeTableStatisticsCommand");
describe("@aws-sdk/client-database-migration-service-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("DescribeEndpoints should succeed when given correct input", function (done) {
        var client = new DatabaseMigrationServiceClient_1.DatabaseMigrationServiceClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeEndpoints = new DescribeEndpointsCommand_1.DescribeEndpointsCommand({});
        client
            .send(describeEndpoints)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("DescribeTableStatistics should fail when given bad input", function (done) {
        var client = new DatabaseMigrationServiceClient_1.DatabaseMigrationServiceClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeTableStatistics = new DescribeTableStatisticsCommand_1.DescribeTableStatisticsCommand({
            ReplicationTaskArn: "arn:aws:acm:region:123456789012"
        });
        client
            .send(describeTableStatistics)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map